
import 'package:flutter/material.dart';

import 'package:twong/utils/index.dart';
import 'package:twong/utils/image_utils.dart';

class PayInfo {
  String key;
  PayType type;
  Widget icon;
  String name;
  String desc;
  PayInfo(this.type, this.key, this.icon, this.name, {this.desc});
}

enum PayType {
  alipay, wechat, yue
}

class PayConfig {
  static const String wechatAppId = "wx1bb4342986c22b28";
  static const String universalLink = "https://www.shotshock.shop/ios";

  static List<PayInfo> get payTypes {
    return [
      PayInfo(PayType.alipay, "alipay",
          Icon(IconFonts.alipay, color: Color.fromARGB(255, 22, 120, 255), size: 26.px),
          "支付宝", desc: "使用支付宝快捷支付"),
      PayInfo(PayType.wechat, "weixin",
          Icon(IconFonts.wechat_pay,  color: Color.fromARGB(255, 34, 172, 56), size: 26.px),
          "微信", desc: "使用微信快捷支付"),
      PayInfo(PayType.yue, "yue",
          Icon(IconFonts.balance_pay,  color: Color.fromARGB(255, 248, 188, 88), size: 26.px),
          "余额", desc: "当前可用余额: "),
    ];
  }
}